# $Id: pyserial.spec 61 2004-02-23 19:05:36Z cray $
# -*- coding: koi8-r -*-
%define	version	0.9.0
%define release alt1
%setup_python_module egenix-mx-experimental

Summary: eGenix mx-Extensions - EXPERIMENTAL package
Summary(ru_RU.KOI8-R): eGenix mx-Extensions -  
Name: %packagename
Version: %version
Release: %release
Source0: %{modulename}-%{version}.tar.gz
License: Copyright (c) 2000-2003, eGenix.com Software GmbH, All Rights Reserved
Group: Development/Python
Prefix: %_prefix
Vendor: eGenix.com Software GmbH, Langenfeld, Germany <info@egenix.com>
BuildRequires: libgmp-devel

Url: http://www.egenix.com/files/python/eGenix-mx-Extensions.html

%description
The eGenix mx Extension Series are a collection of
Python extensions written in ANSI C and Python
which provide a large spectrum of useful additions
to everyday Python programming.

This package includes experimental subpackages of the 
series. Please understand that the software in these 
packages is still in alpha state and does not meet the 
quality standards of production quality software.

This software is brought to you by eGenix.com. The included
subpackages are either covered by the eGenix.com Public
License or the eGenix.com Commercial License and/or other
licenses. Please check the  subpackage documentation for
details or contact eGenix.com for more license information.

%prep
%setup -q -n %modulename-%version

%build
CFLAGS="$RPM_OPT_FLAGS" %__python  setup.py   build

%install
%__python setup.py  install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES_ --prefix=/usr
grep -v mx/__init__.py INSTALLED_FILES_ >INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README mx/Number/Doc mx/Tidy/Doc mx/URL/Doc mx/UID/Doc

%changelog
* Tue Jan 11 2005 Andrey Orlov <cray@altlinux.ru> 0.9.0-alt1
-  New VErsion

* Sat Sep 11 2004 Andrey Orlov <cray@altlinux.ru> 0.8.0-alt8
- Invalid encoding delaration in russian description was fixed (bug #5121)

* Tue May 18 2004 Andrey Orlov <cray@altlinux.ru> 0.8.0-alt6
- Conditional operators excluded from spec

* Mon May 10 2004 Andrey Orlov <cray@altlinux.ru> 0.8.0-alt5.d
- Rebuild

* Thu Apr 22 2004 Andrey Orlov <cray@altlinux.ru> 0.8.0-alt4.d
- Rebuild with new rpm/python macros

* Tue Apr 13 2004 Andrey Orlov <cray@altlinux.ru> 0.8.0-alt3.d
- Rebuild with new rpm/python macros

* Thu Mar 25 2004 Andrey Orlov <cray@altlinux.ru> 0.8.0-alt2.d
- Initial release

